#include <LPC13xx.h>
#include "gpio.h"
#include "timer32.h"

void GPIO_configuration(void)
{
	/* LED0(PIO0_8)  LED0(PIO0_9)  LED0(PIO1_10)  LED0(PIO1_11) */

	GPIOSetDir(PORT0,8,1);
	GPIOSetDir(PORT0,9,1);
	GPIOSetDir(PORT1,10,1);
	GPIOSetDir(PORT1,11,1);
	/*key1(PIO3_0)  key2(PIO3_1)  key3(PIO3_2)*/
	GPIOSetDir(PORT3,0,0);
	GPIOSetDir(PORT3,1,0);
	GPIOSetDir(PORT3,2,0);
	/*joystick  PRESS(PIO1_0) A(PIO1_1) B(PIO1_2) C(PIO1_4) D(PIO1_8)*/
	GPIOSetDir(PORT1,0,0);
	GPIOSetDir(PORT1,1,0);
	GPIOSetDir(PORT1,2,0);
	GPIOSetDir(PORT1,4,0);
	GPIOSetDir(PORT1,8,0);
}

int main(void)
{
	unsigned char key=1;

	SystemInit();
	init_timer32(0,0);
	GPIO_configuration();
	while(1)
	{
		/*key1(PIO3_0)  key2(PIO3_1)  key3(PIO3_2)*/
		if((LPC_GPIO3->DATA&(1<<0))!=(1<<0))
		key=5;
		if((LPC_GPIO3->DATA&(1<<1))!=(1<<1))
		key=4;
		if((LPC_GPIO3->DATA&(1<<2))!=(1<<2))
		key=3;
		/*joystick  PRESS(PIO1_0) A(PIO1_1) B(PIO1_2) C(PIO1_4) D(PIO1_8)*/

		if((LPC_GPIO1->DATA&(1<<0))!=(1<<0))
		key=1;
		if((LPC_GPIO1->DATA&(1<<1))!=(1<<1))
		key=3;
		if((LPC_GPIO1->DATA&(1<<2))!=(1<<2))
		key=4;
		if((LPC_GPIO1->DATA&(1<<4))!=(1<<4))
		key=5;
		if((LPC_GPIO1->DATA&(1<<8))!=(1<<8))
		key=6;

		/* LED0(PIO0_8)  LED0(PIO0_9)  LED0(PIO2_10)  LED0(PIO2_11) */
		switch (key)
		{
			case 1:
				GPIOSetValue(PORT0,8,0);
				GPIOSetValue(PORT0,9,0);
				GPIOSetValue(PORT1,10,0);
				GPIOSetValue(PORT1,11,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,8,1);
				GPIOSetValue(PORT0,9,1);
				GPIOSetValue(PORT1,10,1);
				GPIOSetValue(PORT1,11,1);
				delay32Ms(0,100);
				break;
			case 2:
				GPIOSetValue(PORT0,8,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,8,1);
	
				GPIOSetValue(PORT0,9,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,9,1);
				GPIOSetValue(PORT1,10,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT1,10,1);
				GPIOSetValue(PORT1,11,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT1,11,1);
				break;
			case 3:
				GPIOSetValue(PORT0,8,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,8,1);
				delay32Ms(0,100);
				break;
			case 4:
				GPIOSetValue(PORT0,9,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,9,1);
				delay32Ms(0,100);
				break;
			case 5:
				GPIOSetValue(PORT1,10,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT1,10,1);
				delay32Ms(0,100);
				break;
			case 6:
				GPIOSetValue(PORT1,11,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT1,11,1);
				delay32Ms(0,100);
				break;
			case 7:
				GPIOSetValue(PORT0,8,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,8,1);
		
				GPIOSetValue(PORT0,9,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,9,1);
				GPIOSetValue(PORT1,10,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT1,10,1);
				delay32Ms(0,100);
		
				GPIOSetValue(PORT1,11,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT1,11,1);
		
				GPIOSetValue(PORT1,10,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT1,10,1);
				GPIOSetValue(PORT0,9,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,9,1);
				GPIOSetValue(PORT0,8,0);
				delay32Ms(0,100);
				GPIOSetValue(PORT0,8,1);
				break;
			default:
				break;
		}

	}
}

